import 'package:flutter/material.dart';
import 'package:flutter_clx_base/flutter_clx_base.dart';
import 'package:flutter_clx_base/widget/my_refresh_list_public.dart';

void main() {
  runApp(const MyApp());
}

class MyApp extends StatefulWidget {
  const MyApp({Key? key}) : super(key: key);
  @override
  State<MyApp> createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {
  var listController = MyListController();

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      home: Scaffold(
        appBar: AppBar(
          title: const Text('Plugin example app'),
        ),
        body: Column(
          children: [
            Container(
              height: 100,
              width: 100,
              decoration: BoxDecoration(
                  color: Colors.white,
                  border: Border.all(color: Colors.grey, width: 0.5)),
              child: ImageWidget.loadNetImage(
                "https://s2.loli.net/2022/08/16/8JNPIXnV4qF2ZhR.jpg",
                placeholder: ImageWidget.loadAssetImage("img"),
              ),
            ),
            Expanded(
              child: MySubListViewPublic(
                controller: listController,
                itemBuilder: (BuildContext context, int index, itemData) {
                  return _listItem(itemData, index, context);
                },
                requestData: (int page, int pageSize, SuccessCallback success, error) {
                  getMerchantShopByCondition(page, pageSize, success, error);
                },
              ),
            ),
          ],
        ),
      ),
    );
  }

  /// 获取运单列表
  getMerchantShopByCondition(page, pageSize, success, error) {
    logger.d("---获取运单列表:getMerchantShopByCondition---");
    List list = [];
    success(list);
  }

  Widget _listItem(itemData, int index, BuildContext context) {
    return const Text("datadatadata");
  }

}
